<div class="form-container">
    <form #noteForm="ngForm" (ngSubmit)="onSubmit(noteForm)">
        <div class="field">
            <label class="label">Title</label>
            <div class="control">
                <input type="text" name="title" [(ngModel)]="note.title" class="input" id="" required>
            </div>
        </div>

        <br>

        <div class="field">
            <label class="label">Body</label>
            <div class="control">
                <textarea class="textarea" [(ngModel)]="note.body" name="body"></textarea>
            </div>
        </div>

        <div class="feild is-grouped is-pulled-right">
            <div class="control">
                <button class="button is-text" type="button" (click)="cancel()">Cancel</button>
                <button class="button is-success" type="submit" [disabled]="!noteForm.valid">Save</button>
            </div>
            <!-- <div class="control">
                <button class="button is-primary">Save</button>
            </div> -->
        </div>
    </form>
</div>